summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-system/lh_system_start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linhes/linhes-system/lh_system_start.sh')
-rwxr-xr-xlinhes/linhes-system/lh_system_start.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/linhes/linhes-system/lh_system_start.sh b/linhes/linhes-system/lh_system_start.sh
index 995ccde..b993be8 100755
--- a/linhes/linhes-system/lh_system_start.sh
+++ b/linhes/linhes-system/lh_system_start.sh
@@ -6,7 +6,7 @@
HOSTNAME=`/usr/bin/hostnamectl hostname`
function msg(){
- /usr/bin/lh_notify-send --app-name="LinHES" --icon=dialog-information "$1" "$2"
+ /usr/bin/lh_notify-send --app-name="LinHES" --icon=dialog-information "$1" "$2" "$3"
}
function check_installer_user(){
@@ -64,11 +64,12 @@ function storage_scan(){
function install_lh_apps(){
#install programs that are not needed on the iso
- msg "Installing apps. This could take a few minutes."
+ msg "--expire-time=30000" "Installing apps. This could take a few minutes."
sudo pacman -Syyy --noconfirm archlinux-keyring
- sudo pacman -Syyy --noconfirm firefox glances mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb ncdu x11vnc
+ sudo pacman -Syyy --noconfirm flatpak firefox glances mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb ncdu x11vnc
status=$?
- [ $status -eq 1 ] && msg "Could not install apps. Check internet connection." && exit 1
+ [ $status -eq 1 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
+ flatpak install tv.plex.PlexHTPC
}
function sql_setup(){